%define name phpMyAdmin
%define version 2.6.2
%define webadminroot /var/www/html/admin

Summary:	PhpMyAdmin is intended to handle the adminstration of MySQL over the web
Name:		%{name}
Version:	%{version}
Release:	%mkrel 0.rc1.1
License:	GPL
Group:		System/Servers
URL:		http://www.phpmyadmin.net
Source0:	http://prdownloads.sourceforge.net/phpmyadmin/%{name}-%{version}-rc1.tar.bz2
Patch0:		phpMyAdmin-2.5.5-pl1-use-cookie-in-config.patch.bz2
Requires:	webserver php-common php-mysql mod_php
BuildArch:	noarch
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
phpMyAdmin is intended to handle the adminstration of MySQL over
the web. Currently it can : create and drop databases, create,
copy, drop and alter tables, delete, edit and add fields, execute
any SQL-statement, even batch-queries, manage keys on fields, load
text files into tables, create and read dumps of tables, export
data to CSV value, administer multiple servers and single
databases.

%prep

%setup -q -n %{name}-%{version}-rc1
%patch0 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/%{webadminroot}/%{name}
cp -aRf * %{buildroot}/%{webadminroot}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS ChangeLog Documentation.* INSTALL README RELEASE-DATE-* TODO
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.inc.php
%{webadminroot}/%{name}

%changelog
* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.2-0.rc1.1mdk
- 2.6.2-rc1 (security fix release)
- use the %%mkrel macro

* Sun Mar 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-4mdk
- 2.6.1-pl3

* Fri Feb 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-3mdk
- 2.6.1-pl2
- strip away annoying ^M

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-2mdk
- really 2.6.1

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-0.rc2.2mdk
- dotnuke

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-0.rc2.1mdk
- 2.6.1-rc2

* Mon Dec 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-0.rc1.1mdk
- 2.6.1-rc1

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-3mdk
- 2.6.0-pl3, security and bug fixes

* Wed Oct 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-2mdk
- 2.6.0-pl2

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Tue Sep 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-0.rc2.1mdk
- 2.6.0-rc2

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-0.rc1.1mdk
- 2.6.0-rc1

* Sat Jul 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.7-2mdk
- 2.5.7-pl1 (fixes the "php codes injection" security hole)
- own %{webadminroot}/%{name}

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.7-1mdk
- 2.5.7

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.6-1mdk
- 2.5.6

* Sun Feb 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.5-1mdk
- 2.5.5-pl1
- fix P0

* Sun Oct 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.4-1mdk
- 2.5.4

* Mon Sep 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.3-1mdk
- 2.5.3
- mysqlserver is not required

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.2-1mdk
- 2.5.2

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.1-1mdk
- 2.5.1

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.0-1mdk
- 2.5.0
- misc spec file fixes

* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-1mdk
- 2.4.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-4mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-3mdk
- build release

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 2.3.2-2mdk
- use cookie auth by default instead of password in plain config text
  ie. works out of box now (patch0).
- remove unusefull macros.
- fix doc file not found.

* Wed Oct 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-1mdk
- new version

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-2mdk
- misc spec file fixes
- install in common and relocatable %%{webadminroot}/ directory

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-1mdk
- new version

* Fri Apr 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.6-1mdk
- new version
- updated URL

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.5-1mdk
- new version

* Tue Mar 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.4-1mdk
- update to 2.2.4.

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 2.2.3-2mdk
- Requires: mod_php

* Sun Jan 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.3-1mdk
- update to 2.2.3.

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.2-1mdk
- update to 2.2.2
- added url

* Thu Oct 29 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-2mdk
- Fixed typo in Requires.

* Thu Oct 25 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-2mdk
- Require php-Mysql.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0.

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-3mdk
- Make rpmlint happier.

* Thu Aug 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-2mdk
- s/Copyright/License.
- s/BuildArchitectures/BuildArch.
- Added a require for MySQL.

* Tue Mar 06 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 2.1.0-1mdk
- first rpm distribution.

